Updated: 2013-08-02 Due date:
Has patch: No
Complexity:
Subject: Link generation in functional tests should behave like Apache with mod_rewrite
Description

Currently links generated in functional tests include "index.php" as the FLOW_REWRITEURLS environment variable is not present
(usually set in .htaccess if mod_rewrite is available).

By adding this environment variable in FunctionalTests.xml the tests would behave like most people would link building to work.

Associated revisions
Revision 5d1ed40f - 2013-04-05 15:14 - Karsten Dambekalns

[TASK] Adjust tests to rewritten URLs in functional tests

The resolution for #44434 makes Flow behave as if mod_rewrite was
available during functional tests. Some tests checking against
generated URLs need to be adjusted, so they no longer expect it  to
produce links with embedded "index.php".

Change-Id: I1a8d6a6ce69016d3c411c3da567084aa0d5cf3ca
Related: #44434
Releases: master, 2.0

Revision ee050af3 - 2013-04-05 15:26 - Karsten Dambekalns

[TASK] Adjust tests to rewritten URLs in functional tests

The resolution for #44434 makes Flow behave as if mod_rewrite was
available during functional tests. Some tests checking against
generated URLs need to be adjusted, so they no longer expect it  to
produce links with embedded "index.php".

Change-Id: I1a8d6a6ce69016d3c411c3da567084aa0d5cf3ca
Related: #44434
Releases: master, 2.0

History
#1 - 2013-01-10 14:49 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17448

#2 - 2013-04-05 15:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17448

#3 - 2013-04-05 15:26 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19571

#4 - 2013-08-02 10:52 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
